#
# spec file for package libmatroska (Version 0.8.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           libmatroska
BuildRequires:  gcc-c++ libebml-devel
URL:            http://dl.matroska.org/downloads/libmatroska/
Version:        0.8.1
Release:        67.6
Summary:        Library to Deal with Matroska Files
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/Other
Source:         %{name}-%{version}.tar.bz2
Patch:          makefile.diff
Summary:        Library to Deal with Matroska Files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr

%description
Libmatroska is a C++ library to parse Matroska files (.mkv and .mka).
It depends on libebml to work. You only need this package to compile
your own applications.



Authors:
--------
    Steve Lhomme <steve.lhomme@free.fr>

%package devel
Summary:        Library to Deal with Matroska Files
Group:          Development/Libraries/Other
Provides:       libmatroska:/usr/include/matroska/KaxVersion.h
Requires:       libmatroska = %{version}
Requires:       libebml-devel
Autoreqprov:    on

%description devel
Libmatroska is a C++ library to parse Matroska files (.mkv and .mka).
It depends on libebml to work. You only need this package to compile
your own applications.



Authors:
--------
    Steve Lhomme <steve.lhomme@free.fr>

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch -p1

%build
cd make/linux
make PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=%{_libdir} CXXFLAGS="$RPM_OPT_FLAGS"

%install
cd make/linux
make install PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=$RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr (-,root,root)
%{_libdir}/libmatroska*.so.*

%files devel
%defattr (-,root,root)
%{_libdir}/libmatroska*.so
%{_libdir}/libmatroska*.a
/usr/include/matroska

%changelog
* Sun May 27 2007 ro@suse.de
- added libebml-devel to buildreq
- split off devel package
* Mon Feb 26 2007 seife@suse.de
- version update to 0.8.1
  - add support for KaxCodecState and indexing them in the cues
  - "make install" fixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 21 2005 seife@suse.de
- version update to 0.8.0
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed Sep 28 2005 meissner@suse.de
- use RPM_OPT_FLAGS correctly.
* Tue Jul  5 2005 seife@suse.de
- version 0.7.7
* Sun Apr 17 2005 seife@suse.de
- version 0.7.6
* Mon Feb  7 2005 seife@suse.de
- version 0.7.5
* Tue Oct 26 2004 seife@suse.de
- version 0.7.4
* Thu Sep  2 2004 seife@suse.de
- add libebml to neededforbuild
* Wed Sep  1 2004 seife@suse.de
- initial submission
